[Balloon-svn] r1187 - in balloon/trunk/rootfs/emdebian: . fi…

Top Page
Attachments:
Message as email
+ (text/plain)
Delete this message
Reply to this message
Author: subversion@balloonboard.org
Date:  
To: balloon-svn
Subject: [Balloon-svn] r1187 - in balloon/trunk/rootfs/emdebian: . files-specs
Author: codehelp
Date: 2010-07-07 13:13:59 +0100 (Wed, 07 Jul 2010)
New Revision: 1187

Added:
balloon/trunk/rootfs/emdebian/files-specs/
balloon/trunk/rootfs/emdebian/files-specs/debconf
balloon/trunk/rootfs/emdebian/files-specs/debconf-balloon.dat
balloon/trunk/rootfs/emdebian/multistrap-balloon-specs.conf
balloon/trunk/rootfs/emdebian/rootfs-config-specs
Modified:
balloon/trunk/rootfs/emdebian/files-specs/fstab
balloon/trunk/rootfs/emdebian/files-specs/interfaces
balloon/trunk/rootfs/emdebian/files-specs/modules
Log:
Preseed SPECS debconf and add more packages to the SPECS variant multistrap.

Added: balloon/trunk/rootfs/emdebian/files-specs/debconf
===================================================================
--- balloon/trunk/rootfs/emdebian/files-specs/debconf     (rev 0)
+++ balloon/trunk/rootfs/emdebian/files-specs/debconf    2010-07-07 12:13:59 UTC (rev 1187)
@@ -0,0 +1,104 @@
+# This is the main config file for debconf. It tells debconf where to
+# store data. The format of this file is a set of stanzas. Each stanza
+# except the first sets up a database for debconf to use. For details, see
+# debconf.conf(5) (in the debconf-doc package).
+#
+# So first things first. This first stanza gives the names of two databases.
+
+# Debconf will use this database to store the data you enter into it,
+# and some other dynamic data.
+Config: fulldb
+# Debconf will use this database to store static template data.
+Templates: templatedb
+
+# World-readable, and accepts everything but passwords.
+Name: config
+Driver: File
+Mode: 644
+Reject-Type: password
+Filename: /var/cache/debconf/config.dat
+
+# Not world readable (the default), and accepts only passwords.
+Name: passwords
+Driver: File
+Mode: 600
+Backup: false
+Required: false
+Accept-Type: password
+Filename: /var/cache/debconf/passwords.dat
+
+# Set up the configdb database. By default, it consists of a stack of two
+# databases, one to hold passwords and one for everything else.
+Name: configdb
+Driver: Stack
+Stack: config, passwords
+
+# Set up the templatedb database, which is a single flat text file
+# by default.
+Name: templatedb
+Driver: File
+Mode: 644
+Filename: /var/cache/debconf/templates.dat
+
+# Well that was pretty straightforward, and it will be enough for most
+# people's needs, but debconf's database drivers can be used to do much
+# more interesting things. For example, suppose you want to use config
+# data from another host, which is mounted over nfs or perhaps the database
+# is accessed via LDAP. You don't want to write to the remote debconf database,
+# just read from it, so you still need a local database for local changes.
+#
+# A remote NFS mounted database, read-only. It is optional; if debconf
+# fails to use it it will not abort.
+#Name: remotedb
+#Driver: DirTree
+#Directory: /mnt/otherhost/var/cache/debconf/config
+#Readonly: true
+#Required: false
+#
+# A remote LDAP database. It is also read-only. The password is really
+# only necessary if the database is not accessible anonymously.
+# Option KeyByKey instructs the backend to retrieve keys from the LDAP
+# server individually (when they are requested), instead of loading all
+# keys at startup. The default is 0, and should only be enabled if you
+# want to track accesses to individual keys on the LDAP server side.
+#Name: remotedb
+#Driver: LDAP
+#Server: remotehost
+#BaseDN: cn=debconf,dc=domain,dc=com
+#BindDN: uid=admin,dc=domain,dc=com
+#BindPasswd: secret
+#KeyByKey: 0
+#
+# A stack consisting of two databases. Values will be read from
+# the first database in the stack to contain a value. In this example,
+# writes always go to the first database.
+#Name: fulldb
+#Driver: Stack
+#Stack: configdb, remotedb
+#
+# In this example, we'd use Config: fulldb at the top of the file
+# to make it use the combination of the databases.
+#
+# Even more complex and interesting setups are possible, see the
+# debconf.conf(5) page for details.
+
+# Debconf will use this database to store the data you enter into it,
+# and some other dynamic data.
+
+# A balloonboard database, read-only. It is optional; if debconf
+# fails to use it, debconf will not abort.
+# Any files in this directory need to be debconf pre-seeding files.
+# See http://d-i.alioth.debian.org/manual/en.i386/apbs04.html#preseed-account
+# or http://www.emdebian.org/d-i/lenny/preseed.cfg
+Name: balloondb
+Driver: DirTree
+Directory: /var/cache/debconf/debconf-balloon.dat
+Readonly: true
+Required: false
+
+# A stack consisting of two databases. Values will be read from
+# the first database in the stack to contain a value. In this example,
+# writes always go to the first database.
+Name: fulldb
+Driver: Stack
+Stack: configdb, balloondb

Added: balloon/trunk/rootfs/emdebian/files-specs/debconf-balloon.dat
===================================================================
--- balloon/trunk/rootfs/emdebian/files-specs/debconf-balloon.dat     (rev 0)
+++ balloon/trunk/rootfs/emdebian/files-specs/debconf-balloon.dat    2010-07-07 12:13:59 UTC (rev 1187)
@@ -0,0 +1,37 @@
+Name: tzdata/Zones/Etc
+Template: tzdata/Zones/Etc
+Value: UTC
+Owners: tzdata
+Flags: seen
+
+Name: tzdata/Areas
+Template: tzdata/Areas
+Value: Europe
+Owners: tzdata
+Flags: seen
+
+Name: xserver-xorg/config/inputdevice/keyboard/model
+Template: xserver-xorg/config/inputdevice/keyboard/model
+Value: pc105
+Owners: xserver-xorg
+Flags: seen
+
+Name: xserver-xorg/config/inputdevice/keyboard/layout
+Template: xserver-xorg/config/inputdevice/keyboard/layout
+Value: gb
+Owners: xserver-xorg
+Flags: seen
+
+Name: xserver-xorg/config/device/use_fbdev
+Template: xserver-xorg/config/device/use_fbdev
+Value: true
+Owners: xserver-xorg
+Flags: seen
+
+Name: xserver-xorg/config/device/driver
+Template: xserver-xorg/config/device/driver
+Value: fbdev
+Owners: xserver-xorg
+Flags: seen
+Variables:
+ choices =

Modified: balloon/trunk/rootfs/emdebian/files-specs/fstab
===================================================================
--- balloon/trunk/rootfs/emdebian/files/fstab    2010-06-04 13:00:06 UTC (rev 1141)
+++ balloon/trunk/rootfs/emdebian/files-specs/fstab    2010-07-07 12:13:59 UTC (rev 1187)
@@ -5,3 +5,4 @@
sys /sys sysfs defaults 0 0
devpts /dev/pts devpts mode=0620,gid=5 0 0
usbdevfs /proc/bus/usb usbdevfs noauto 0 0
+/dev/sda1 /mnt/usbdrive auto defaults 0 0

Modified: balloon/trunk/rootfs/emdebian/files-specs/interfaces
===================================================================
--- balloon/trunk/rootfs/emdebian/files/interfaces    2010-06-04 13:00:06 UTC (rev 1141)
+++ balloon/trunk/rootfs/emdebian/files-specs/interfaces    2010-07-07 12:13:59 UTC (rev 1187)
@@ -2,15 +2,14 @@
# /usr/share/doc/ifupdown/examples for more information.

# The loopback interface
-auto lo eth0 eth1
+auto lo usb0
iface lo inet loopback

-allow-hotplug usb0 eth0 eth1 eth2
+allow-hotplug usb0 eth0 eth1

# Wired or wireless interfaces
iface eth0 inet dhcp
iface eth1 inet dhcp
-iface eth2 inet dhcp

# Ethernet/RNDIS gadget (g_ether)
# ... or on host side, usbnet and random hwaddr

Modified: balloon/trunk/rootfs/emdebian/files-specs/modules
===================================================================
--- balloon/trunk/rootfs/emdebian/files/modules    2010-06-04 13:00:06 UTC (rev 1141)
+++ balloon/trunk/rootfs/emdebian/files-specs/modules    2010-07-07 12:13:59 UTC (rev 1187)
@@ -9,8 +9,6 @@
ext2
fat
vfat
-rtc-sa1100
-pcmcia
pxa2xx_cs
snd-pxa2xx-ac97
pxamci

Added: balloon/trunk/rootfs/emdebian/multistrap-balloon-specs.conf
===================================================================
--- balloon/trunk/rootfs/emdebian/multistrap-balloon-specs.conf     (rev 0)
+++ balloon/trunk/rootfs/emdebian/multistrap-balloon-specs.conf    2010-07-07 12:13:59 UTC (rev 1187)
@@ -0,0 +1,53 @@
+[General]
+# arch and directory are overridden.
+#arch=armel
+#directory=/opt/multistrap/
+# same as --tidy-up option if set to true
+cleanup=true
+# retain the sources outside the rootfs for distribution
+# specify a directory to which all the .debs can be moved.
+# or override with the --source-dir option.
+#retainsources=/opt/multistrap/sources
+# whether to add the /suite to be explicit about where apt
+# needs to look for packages.
+explicitsuite=false
+# same as --no-auth option if set to true
+# keyring packages listed in each debootstrap will
+# still be installed.
+noauth=true
+# retries not needed.
+#retries=5
+# extract all downloaded archives
+unpack=true
+# the order of sections is no longer important.
+# debootstrap determines which repository is used to
+# calculate the list of Priority: required packages
+#debootstrap=Grip Trx850
+debootstrap=Grip Updates Debian
+# the order of sections is no longer important.
+# aptsources is a list of sections to be listed
+# in the /etc/apt/sources.list.d/multistrap.sources.list
+# of the target.
+aptsources=Grip Updates
+
+[Grip]
+# space separated package list
+# see 521060
+packages=udev ntpdate iputils-ping xauth xserver-xorg xserver-xorg-video-fbdev xserver-xorg-input-tslib xinit rxvt xfonts-base locales dbus-x11 matchbox thunar aspell-en telnetd libasound2 alsa-utils
+#source=http://aptcache:3142/www.emdebian.org/grip
+source=http://www.emdebian.org/grip
+keyring=emdebian-archive-keyring
+suite=stable
+
+[Updates]
+packages=pcmciautils balloon3-config
+source=http://www.emdebian.org/grip
+keyring=emdebian-archive-keyring
+suite=stable-proposed-updates
+
+# fallback
+[Debian]
+packages=
+source=http://ftp.uk.debian.org/debian
+keyring=debian-archive-keyring
+suite=stable

Added: balloon/trunk/rootfs/emdebian/rootfs-config-specs
===================================================================
--- balloon/trunk/rootfs/emdebian/rootfs-config-specs     (rev 0)
+++ balloon/trunk/rootfs/emdebian/rootfs-config-specs    2010-07-07 12:13:59 UTC (rev 1187)
@@ -0,0 +1,103 @@
+#! /bin/sh
+set -e -x
+
+# Emdebian grip compatibility version
+# intended to allow removal of balloon3-config
+
+#pass path to the root. Don't let it run without one as it will break your system
+if [ "" = "$1" ] ; then
+ echo "You need to specify a path to the target rootfs"
+else
+ if [ -e "$1" ] ; then
+ ROOTFS="$1"
+ else
+ echo "Root of target rootfs: $ROOTFS not found"
+ exit 1
+ fi
+fi
+
+if [ "/" = "${ROOTFS}" ] ; then echo "Refusing to change your build system's files"; exit 1; fi
+
+#Do things that need to be done at 1st stage so that rootfs will boot.
+
+#Set securetty
+#Add modules - e.g. to support USB serial/ethernet console
+
+# specify config to use
+if [ "" = "$2" ] ; then
+ CONFIG="files"
+fi
+if [ -d "$2" ] ; then
+ CONFIG="$2"
+else
+ echo "Config dir $CONFIG not found"
+fi
+
+echo `pwd`
+#read in settings
+if [ -e config ] ; then
+ . ./config
+fi
+
+     #add serial ports to securetty - now idempotent
+     DONE=`grep $CONSOLE $ROOTFS/etc/securetty || true`
+     if [ -z "$DONE" ]; then
+     echo "$CONSOLE" >> $ROOTFS/etc/securetty
+     fi
+     #put our standard fstab and network and modules files in
+     if [ ! -d $ROOTFS/etc/network ]; then mkdir -p $ROOTFS/etc/network; fi
+     if [ ! -d $ROOTFS/etc/init.d ]; then mkdir -p $ROOTFS/etc/init.d; fi
+     if [ ! -d $ROOTFS/etc/dhcp3 ]; then mkdir -p $ROOTFS/etc/dhcp3; fi
+     if [ ! -d $ROOTFS/etc/debconf/ ]; then mkdir -p $ROOTFS/etc/debconf/; fi
+     if [ ! -d $ROOTFS/var/lib/x11/ ]; then mkdir -p $ROOTFS/var/lib/x11/; fi
+     if [ ! -d $ROOTFS/mnt/usbdrive/ ]; then mkdir -p $ROOTFS/mnt/usbdrive/; fi
+     if [ ! -d $ROOTFS/etc/apt/apt.conf.d/ ]; then
+     mkdir -p $ROOTFS/etc/apt/apt.conf.d/
+     fi
+     if [ ! -d $ROOTFS/mnt/usbdrive ]; then mkdir -p $ROOTFS/mnt/usbdrive; fi
+     cp -v $CONFIG/fstab $ROOTFS/etc/fstab
+     cp -v $CONFIG/interfaces $ROOTFS/etc/network/interfaces
+     cp -v $CONFIG/modules $ROOTFS/etc/modules
+     cp -v $CONFIG/dhclient.conf $ROOTFS/etc/dhcp3/
+     cp -v $CONFIG/urandom $ROOTFS/etc/init.d/
+     cp -v $CONFIG/inittab $ROOTFS/etc/
+     cp -v $CONFIG/10disablerecommends $ROOTFS/etc/apt/apt.conf.d/
+     touch $ROOTFS/var/lib/x11/Xwrapper.config.roster
+     # setup the debconf extensions
+     cp -v $CONFIG/debconf $ROOTFS/etc/debconf.conf
+     cp -v $CONFIG/debconf-balloon.dat $ROOTFS/etc/debconf/
+     #xserver-xorg xserver-xorg/config/device/use_fbdev boolean true
+     #xserver-xorg xserver-xorg/config/device/driver select fbdev
+     #xserver-xorg xserver-xorg/config/device/driver string fbdev
+     # making devices so far missing between old and new multistrap versions preventing
+     # chroot from running into newly untarred rootfs
+     (cd $ROOTFS/dev; /sbin/MAKEDEV -v std )
+     (cd $ROOTFS/dev; /sbin/MAKEDEV -v fd )
+     (cd $ROOTFS/dev; /sbin/MAKEDEV -v ptmx )
+     # creating devices
+     (cd $ROOTFS/dev; /sbin/MAKEDEV -v fb )
+     (cd $ROOTFS/dev; /sbin/MAKEDEV -v ttyS1 ttyS2 )
+     (cd $ROOTFS/dev; /sbin/MAKEDEV -v sd )
+      (cd $ROOTFS/dev; /sbin/MAKEDEV -v mtd )
+     #mutter - it makes mtd butnot mtdblock - patch MAKEDEV?
+#     (cd $ROOT/FSdev; /sbin/MAKEDEV -v mtdblock{0..7})
+     (cd $ROOTFS/dev; mkdir -p mtdblock; for DEVICE in 0 1 2 3 4 5 6 7; do mknod mtdblock/$DEVICE b 31 $DEVICE; done)
+     # tidy up after old multistrap code
+     if [ -f $ROOTFS/etc/apt/sources.list.d/sources.list ]; then
+     rm -v $ROOTFS/etc/apt/sources.list.d/sources.list
+     fi
+     # tidy up after balloon3-config
+     if [ -f $ROOTFS/etc/apt/sources.list ]; then
+     rm -v $ROOTFS/etc/apt/sources.list
+     fi
+
+# stuff that can be left to 2nd stage:
+     (cd $ROOTFS/dev; ln -sf urandom random)
+     #use bash, not dash - saves 10 seconds
+     # ... but we don't have dash ...
+     #(cd $ROOTFS/bin; ln -sf dash sh)
+     #set hostname
+     echo specs > $ROOTFS/etc/hostname
+     #be nice to put these in the right places in files (perl -pi?)
+     echo "127.0.0.1 localhost.localdomain localhost" > ${ROOTFS}/etc/hosts
+      echo "127.0.1.1 specs specs" >> ${ROOTFS}/etc/hosts


Property changes on: balloon/trunk/rootfs/emdebian/rootfs-config-specs
___________________________________________________________________
Added: svn:executable
   + *